What devices are compatible with Kiosk Pro?

Kiosk Pro Lite, Basic and Plus are compatible with devices running iOS 9.3.5 or later. Kiosk Pro Enterprise is compatible with devices running iOS 10 or later.

iOS is the operating system used by iPhone and iPod and iPadOS is the operating system for iPads. You can often update the iOS/iPadOS for free without getting a new device, although at some point Apple stops offering upgrades to the latest iOS/iPadOS on older devices.

If you have the option, we recommend selecting newer devices as they will have better overall performance and stability in this type of 24-7 use case.

In terms of tablets, we currently support:

  • 12.9-inch iPad Pro (2021, 2020, 2018, 2017, 2015)
  • 11-inch iPad Pro (2021, 2020, 2018)
  • 10.9-inch iPad Air (2020)
  • 10.5-inch iPad Air (2019)
  • 10.5-inch iPad Pro (2017)
  • 10.2-inch iPad (2021, 2019)
  • 9.7-inch iPad (2018, 2017, 2012, 2011)
  • 9.7-inch iPad Air (2014, 2013)
  • 9.7-inch iPad Pro (2016)
  • iPad Mini (2021, 2019, 2015, 2014, 2013, 2012)

You will not be able to purchase or install new versions of Kiosk Pro on the original iPad, iPhone, or iPhone 3G, and early generations of iPod touch.

Features not supported on older iOS/iPadOS versions

WebRTC Permission Prompts

Content that uses WebRTC requests will trigger a system-level permission prompt. On devices running iPadOS 15 or later and Kiosk Pro 10.1 or later, the app will remember your permission choice. More information is available here.

Dropbox Sync

Dropbox dropped support for their SDK on devices running an iOS older than 11.

Quick Link labels may overlap

In iOS 9.3.5, if there isn't enough space to display the complete text string set for labels of the app's Quick Links feature, the labels may overlap with the navigation bar icons. More information is available here.

Allow deprecated versions of TLS

This feature is supported in iPadOS 14 and later. More information is available here.

Still stuck? How can we help? How can we help?